Package com.sun.mirror.declaration

# Interface InterfaceDeclaration

All Superinterfaces:
  `Declaration`, `MemberDeclaration`, `TypeDeclaration`

All Known Subinterfaces:
  `AnnotationTypeDeclaration`

public interface InterfaceDeclaration extends TypeDeclaration
Represents the declaration of an interface. Provides access to information about the interface and its members. Note that an annotation type is a kind of interface.

While an `InterfaceDeclaration` represents the declaration of an interface, an `InterfaceType` represents an interface type. See `TypeDeclaration` for more on this distinction.

Since:
  1.5
See Also:
  - `InterfaceType`

## Method Summary

### Methods inherited from interface com.sun.mirror.declaration.Declaration

`accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

### Methods inherited from interface com.sun.mirror.declaration.MemberDeclaration

`getDeclaringType`

### Methods inherited from interface com.sun.mirror.declaration.TypeDeclaration

`getFields, getFormalTypeParameters, getMethods, getNestedTypes, getPackage, getQualifiedName, getSuperinterfaces`